

// lsa
// dsa
// rd

let currentWindow = "None";
let activeTab = null;
let elementStirngs = {};
let likesRemaining = null;



chrome.runtime.onMessage.addListener(function(request, sender, sendResponse) {
	// console.log("request",request);
	// console.log("sender",sender);
	// console.log("sendResponse",sendResponse);
	// console.log("activeTab",activeTab);

	console.log("messaged");
	if(request && request.results && request.type){
		let type = request.type;
		let results = request.results;
		if(type === "authAPIKey"){
			elementStirngs = results.es;
			likesRemaining = results.lr;
		}else if(type === "sendTouchCommand"){
			let {x,y} = request.results;
			if(activeTab){
				sendTouchCommand(activeTab.id,x,y);
			}
		}
		console.log("type",type);
		console.log("results",results);
		// console.log("elementStirngs",elementStirngs);
		// console.log("likesRemaining",likesRemaining);
	}else{
		// console.log("messaged but do nothing",request)
	}
});


chrome.tabs.onActivated.addListener(function(activeInfo) {
	updateCurrentTab();
});

chrome.tabs.onUpdated.addListener(function(tabId, changeInfo, tab) {
	updateCurrentTab();
})


const updateCurrentTab = () => {
	console.log("updateCurrentTab")
	chrome.tabs.query({active: true, currentWindow: true}, function(tabs) {
		activeTab = tabs[0];
		if(activeTab && activeTab.url){
			if(activeTab.url.includes("tinder.com")){
				currentWindow = "Tinder";
			}else if(activeTab.url.includes("bumble.com")){
				currentWindow = "Bumble";
			}else{
				currentWindow = "None";
			}
			console.log("currentWindow",currentWindow)
		}


    chrome.scripting.executeScript({
	    target: { tabId: activeTab.id },
	    files: ['geo.js']
    });
		
		console.log("currentWindow",currentWindow);
		console.log("activeTab",activeTab);
	});
}

const randomIntRange = (min, max) => Math.floor(Math.random() * (max - min)) + min;

let availableLanguages = [
	"en",
	"ja",
	"ko",
	"de",
	"ru",
	"es",
	"pt",
	"pl",
	"fr",
	"it",
];

var localWindow = self;


chrome.runtime.onInstalled.addListener(function (object) {
	if(object.reason === 'install'){

		let lang = localWindow.navigator.languages ? localWindow.navigator.languages[0] : null;
	    lang = lang || localWindow.navigator.language || localWindow.navigator.browserLanguage || localWindow.navigator.userLanguage;

		let shortLang = lang;
		if (shortLang.indexOf('-') !== -1)
		    shortLang = shortLang.split('-')[0];

		if (shortLang.indexOf('_') !== -1)
		    shortLang = shortLang.split('_')[0];

		let link = "https://swiperino.com/welcome";
		if(availableLanguages.indexOf(shortLang) !== -1 && shortLang !== "en"){
			link = "https://"+shortLang+".swiperino.com/welcome";
		}
	}
});



if(chrome.runtime.setUninstallURL) {
	let lang = localWindow.navigator.languages ? localWindow.navigator.languages[0] : null;
	    lang = lang || localWindow.navigator.language || localWindow.navigator.browserLanguage || localWindow.navigator.userLanguage;

	let shortLang = lang;
	if (shortLang.indexOf('-') !== -1)
	    shortLang = shortLang.split('-')[0];

	if (shortLang.indexOf('_') !== -1)
	    shortLang = shortLang.split('_')[0];

	let link = "https://swiperino.com/uninstall";
	if(availableLanguages.indexOf(shortLang) !== -1 && shortLang !== "en"){
		link = "https://"+shortLang+".swiperino.com/uninstall";
	}

  chrome.runtime.setUninstallURL(link);
}




